[arch-commits] Commit in koffice/trunk (PKGBUILD koffice.install)

Ronald van Haren ronald at archlinux.org
Thu Apr 2 14:36:08 EDT 2009


    Date: Thursday, April 2, 2009 @ 14:36:08
  Author: ronald
Revision: 32914

upgpkg: koffice 1.9.99.0-1

Added:
  koffice/trunk/koffice.install
Modified:
  koffice/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   54 +++++++++++++++++++++++++-----------------------------
 koffice.install |   12 ++++++++++++
 2 files changed, 37 insertions(+), 29 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-02 16:32:29 UTC (rev 32913)
+++ PKGBUILD	2009-04-02 18:36:08 UTC (rev 32914)
@@ -1,34 +1,30 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
 pkgname=koffice
-pkgver=1.6.3
-stable=stable # stable|unstable
-pkgrel=8
-pkgdesc="An integrated Office suite for KDE"
-license=('GPL' 'LGPL')
-arch=(i686 x86_64)
-url="http://www.koffice.org"
-depends=('kdelibs3>=3.5.5' 'aspell' 'wv2' 'imagemagick>=6.4.8.10' 'python>=2.6' 'libwpd' \
-         'libxslt' 'libexif' 'libgl' 'openexr>=1.6')
-makedepends=('pkgconfig' 'libpqxx>=2.6.8' 'libmysqlclient' 'ruby')
+pkgver=1.9.99.0
+pkgrel=1
+pkgdesc="A free, integrated office suite for KDE, the K Desktop Environment"
+arch=('i686' 'x86_64')
+url='http://koffice.kde.org'
+license=('GPL' 'LGPL' 'FDL')
+depends=('kdebase-runtime' 'kdepimlibs' 'glew' 'exiv2>=0.18' 'wv2' 'libwpd' 'gsl'
+         'qca' 'poppler-qt' 'qimageblitz' 'lcms' 'xdg-utils' 'shared-mime-info'
+    	 'pstoedit' 'graphicsmagick')
+makedepends=('pkgconfig' 'cmake' 'automoc4' 'boost' 'eigen')
+options=('docs')
+install='koffice.install'
+source=("http://download.kde.org/unstable/koffice-${pkgver}/src/koffice-${pkgver}.tar.bz2")
+md5sums=('46dcbdda79c6a9aa645d1d473c8d2046')
 
-source=(http://download.kde.org/stable/koffice-${pkgver}/src/koffice-${pkgver}.tar.bz2 koffice-1.6.3-gcc43.patch)
-md5sums=('386d388094734f9759977c3267098e30' '7bc8e0d4c89adf589c992c439023ea44')
-
 build() {
-  # Source the QT and KDE profile
-  [ "$QTDIR" = "" ] && source /etc/profile.d/qt3.sh
-  [ "$KDEDIR" = "" ] && source /etc/profile.d/kde3.sh
-
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -p1 < ../koffice-1.6.3-gcc43.patch || return 1
-
-  #make -f Makefile.cvs
-  ./configure --prefix=/opt/kde --enable-new-ldflags --disable-debug \
-              --disable-doc --without-arts
-
-  make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-
-  rm -rf ${startdir}/pkg/opt/kde/share/doc
+	cd ${srcdir}
+	mkdir build
+	cd build
+	cmake ../koffice-${pkgver} \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_PREFIX=/usr
+	make || return 1
+	make DESTDIR=${pkgdir} install
 }

Added: koffice.install
===================================================================
--- koffice.install	                        (rev 0)
+++ koffice.install	2009-04-02 18:36:08 UTC (rev 32914)
@@ -0,0 +1,12 @@
+post_install() {
+	xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+	update-mime-database usr/share/mime &> /dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}
\ No newline at end of file



More information about the arch-commits mailing list